For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
      • GETList Recurring Grants
      • POSTCreate Recurring Grant
      • GETGet Recurring Grant
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
DAFpayRecurring Grants

List Recurring Grants

GET
/v1/recurring_grants
GET
/v1/recurring_grants
$curl -G https://api.givechariot.com/v1/recurring_grants \
> -H "Authorization: Bearer <token>" \
> -d connect_id=live_2d821da0ed8bc7256e260f4eb5244f2d8f06c576342f922ba2f0a416d8c98002
1{
2 "results": [
3 {
4 "id": "29650c10-1eb3-4f97-a63e-f2e41c145b53",
5 "workflowSessionId": "b76fa69f-c554-43b2-af9a-1d4bb9a02016",
6 "fundId": "daf-id",
7 "frequency": "MONTHLY",
8 "amount": 15000,
9 "createdAt": "2021-08-10 15:00:00.000",
10 "updatedAt": "2021-08-11 15:34:00.000"
11 }
12 ],
13 "nextPageToken": "c3f685f2-2dda-4956-815b-39867a5e5638"
14}
Returns a list of all recurring grants for a given Connect. This API allows for paginating over many results.
Was this page helpful?
Previous

Create Recurring Grant

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

connect_idstringOptional

the id of the Connect object. This can be used to filter the recurring grants by a specific Connect if you have more than one.

pageLimitintegerOptionalDefaults to 10

the number of results to return; defaults to 10, max is 100

pageTokenstringOptional
A token to use to retrieve the next page of results. This is useful for paginating over many pages of results. If set, all other arguments are expected to be kept the same as previous calls and the value of this field should be from the nextPageToken in the previous response.

Response

The response for RecurringGrants.list
resultslist of objects
nextPageTokenstring

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error